building interviews

Post Reply
ramcdougal
Posts: 154
Joined: Fri Nov 28, 2008 3:38 pm
Location: Yale School of Medicine

building interviews

Post by ramcdougal » Wed Sep 07, 2011 1:00 pm

I tried building interviews from scratch on a mostly standard Ubuntu system. I had to install libx11-dev, but otherwise I basically just cloned the hg repository, ran build.sh, configure, then make.

Make fails at the step:

Code: Select all

/bin/bash ../../../libtool --mode=link g++ -g -O2  -o idraw idarrow.o idarrowhead.o idarrows.o idcatalog.o idcmds.o idcomp.o idcreator.o iddialogs.o ided.o idkybd.o idvars.o main.o ../../lib/libUnidrawhines.la ../../lib/libIVhines.la -lX11 -lXext  -lm
libtool: link: cannot find the library `../../lib/libUnidrawhines.la' or unhandled argument `../../lib/libUnidrawhines.la'
I know from looking at the forum and past experience that this step is a common stumbling block, but it's not clear to me how to proceed. There is an RPM online that would give me the missing library, but I would prefer not to do that.

On a possibly related note, build.sh gave output that I'm not sure how to interpret:

Code: Select all

$ ./build.sh 
libtoolize -c -f -i
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./config.guess'
libtoolize: copying file `./config.sub'
libtoolize: copying file `./install-sh'
libtoolize: copying file `./ltmain.sh'
libtoolize: You should add the contents of the following files to `aclocal.m4':
libtoolize:   `/usr/share/aclocal/libtool.m4'
libtoolize:   `/usr/share/aclocal/ltoptions.m4'
libtoolize:   `/usr/share/aclocal/ltversion.m4'
libtoolize:   `/usr/share/aclocal/ltsugar.m4'
libtoolize:   `/usr/share/aclocal/lt~obsolete.m4'
libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.in and
libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
Thanks.

hines
Site Admin
Posts: 1577
Joined: Wed May 18, 2005 3:32 pm

Re: building interviews

Post by hines » Wed Sep 07, 2011 6:37 pm

cannot find the library `../../lib/libUnidrawhines.la'
I'm guessing there was an earlier error message which explained
why libUnidrawhines failed to build. Probably because libXext is not
installed.
You might try
sudo apt-get install libxext-dev

By the way. I recently installed a 64 bit Ubuntu and the list of
apt-get's I used for building NEURON from the mercurial
repositories was:

sudo apt-get install mercurial
sudo apt-get install bison
sudo apt-get install flex
sudo apt-get install automake
sudo apt-get install libtool
sudo apt-get install libxext-dev
sudo apt-get install libncurses-dev
sudo apt-get install python-dev

Post Reply